the Fink project is an effort to port
popular Unix programs to Mac OS X
Package: yaml-mode
Version: 0.0.3
Revision: 1
Description: Major mode to edit YAML files for emacs
License: GPL
Homepage: http://yaml-mode.clouder.jp/
Maintainer: None
Source: http://%n.clouder.jp/attachment/wiki/WikiStart/%n-%v.tar.gz?format=raw
SourceRename: %n-%v.tar.gz
Source-MD5: fe3bddf9c12c2ab69f62ccd4109dc59a
PatchFile: %n.patch
PatchFile-MD5: 54fd3d5071123c0f985797b09ee5f15f
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
<<
BuildDepends: <<
fink (>= 0.24.12)
<<
Depends: <<
emacsen-common
<<
CompileScript: <<
<<
InstallScript: <<
install -m 755 -d %i/share/emacs/site-lisp/%n
install -m 644 *.el %i/share/emacs/site-lisp/%n
install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el
install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: Changes README
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]; then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ]; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
DescDetail: <<
This is a major mode for editing files in the YAML data serialization
format. It was initially developed by Yoshiki Kurihara and many
features were added by Marshall Vandegrift. As YAML and Python share
the fact that indentation determines structure, this mode provides
indentation and indentation command behavior very similar to that of
python-mode.
<<
diff -rNu yaml-mode-0.0.3.orig/fink/yaml-mode-install yaml-mode-0.0.3/fink/yaml-mode-install
--- yaml-mode-0.0.3.orig/fink/yaml-mode-install 1970-01-01 09:00:00.000000000 +0900
+++ yaml-mode-0.0.3/fink/yaml-mode-install 2007-10-16 16:13:38.000000000 +0900
@@ -0,0 +1,31 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/yaml-mode
+
+abort_install() {
+ echo "Byte compile for ${FLAVOR} failed."
+ echo "Please check @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/CompilationLog.gz"
+ echo
+ exit 1
+}
+
+PACKAGE=yaml-mode
+
+FLAVOR=$1
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}/
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+LOG=CompilationLog
+
+if [ "${FLAVOR}" != "emacs" ]; then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR}...\c"
+
+ mkdir -p ${ELCDIR}
+ ln -sf ${ELDIR}/*.el ${ELCDIR}
+
+ (cd ${ELCDIR} && ${FLAVOR} -q -batch -no-site-file -f batch-byte-compile *.el 2>&1 \
+ | gzip -9qf > $LOG.gz) || abort_install
+
+ echo " done."
+fi
+
+exit 0
diff -rNu yaml-mode-0.0.3.orig/fink/yaml-mode-remove yaml-mode-0.0.3/fink/yaml-mode-remove
--- yaml-mode-0.0.3.orig/fink/yaml-mode-remove 1970-01-01 09:00:00.000000000 +0900
+++ yaml-mode-0.0.3/fink/yaml-mode-remove 2007-10-16 16:13:44.000000000 +0900
@@ -0,0 +1,16 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/remove/yaml-mode
+
+PACKAGE=yaml-mode
+
+FLAVOR=$1
+
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+
+if [ "${FLAVOR}" != "emacs" ]; then
+ /bin/echo "remove/${PACKAGE}: Removing for ${FLAVOR}...\c"
+ rm -rf $ELCDIR
+ echo " done."
+fi
+
+exit 0
diff -rNu yaml-mode-0.0.3.orig/fink/yaml-mode-startup yaml-mode-0.0.3/fink/yaml-mode-startup
--- yaml-mode-0.0.3.orig/fink/yaml-mode-startup 1970-01-01 09:00:00.000000000 +0900
+++ yaml-mode-0.0.3/fink/yaml-mode-startup 2007-10-16 16:16:40.000000000 +0900
@@ -0,0 +1,10 @@
+;; -*- emacs-lisp -*-
+
+(add-to-list 'load-path (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/yaml-mode"))
+
+(autoload 'yaml-mode "yaml-mode" "Simple major mode to edit YAML files")
+
+(add-to-list 'auto-mode-alist '("\\.yml$" . yaml-mode))
+(add-to-list 'auto-mode-alist '("\\.yaml$" . yaml-mode))